Package org.jCharts.properties

# Class LegendProperties

java.lang.Object
org.jCharts.properties.Properties
org.jCharts.properties.AreaProperties
org.jCharts.properties.LegendAreaProperties
org.jCharts.properties.LegendProperties

All Implemented Interfaces:
  `Serializable`, `HTMLTestable`

public final class LegendProperties extends LegendAreaProperties implements HTMLTestable

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Font`
`DEFAULT_FONT`
`static final Paint`
`DEFAULT_FONT_PAINT`
`static final Paint`
`DEFAULT_ICON_BORDER_PAINT`
`static final Stroke`
`DEFAULT_ICON_BORDER_STROKE`
`private Font`
`font`
`private Paint`
`fontPaint`
`private Paint`
`iconBorderPaint`
`private Stroke`
`iconBorderStroke`
`private Dimension`
`size`

### Fields inherited from class org.jCharts.properties.LegendAreaProperties

`BOTTOM, COLUMNS_AS_MANY_AS_NEEDED, COLUMNS_FIT_TO_IMAGE, LEFT, RIGHT, TOP`

### Fields inherited from class org.jCharts.properties.Properties

`DEFAULT_BACKGROUND_PAINT`

## Constructor Summary

Constructors
Constructor
Description
`LegendProperties()`

## Method Summary

Modifier and Type
Method
Description
`Font`
`getFont()`
Returns the Font used by the Legend.
`Paint`
`getFontPaint()`
Returns the Font Paint used by the Legend.
`Paint`
`getIconBorderPaint()`
Returns the Icon border Color used by the Legend.
`Stroke`
`getIconBorderStroke()`
Returns the icon border Stroke
`Dimension`
`getSize()`
Getter for property size.
`void`
`setFont(Font legendFont)`
Sets the Font used by the Legend.
`void`
`setFontPaint(Paint fontPaint)`
Sets the Font color used by the Legend.
`void`
`setIconBorderPaint(Paint iconBorderPaint)`
Sets the Icon border color used by the Legend.
`void`
`setIconBorderStroke(Stroke stroke)`
Sets the icon border Stroke.
`void`
`setSize(Dimension size)`
Setter for property size.
`void`
`toHTML(HTMLGenerator htmlGenerator)`
Enables the testing routines to display the contents of this Object.

### Methods inherited from class org.jCharts.properties.LegendAreaProperties

`getChartPadding, getColumnPadding, getIconPadding, getNumColumns, getPlacement, getRowPadding, setChartPadding, setColumnPadding, setIconPadding, setNumColumns, setPlacement, setRowPadding`

### Methods inherited from class org.jCharts.properties.AreaProperties

`getBorderStroke, getEdgePadding, setBorderStroke, setEdgePadding`

### Methods inherited from class org.jCharts.properties.Properties

`getBackgroundPaint, setBackgroundPaint`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_FONT

public static final Font DEFAULT_FONT

### DEFAULT_FONT_PAINT

public static final Paint DEFAULT_FONT_PAINT

### DEFAULT_ICON_BORDER_STROKE

public static final Stroke DEFAULT_ICON_BORDER_STROKE

### DEFAULT_ICON_BORDER_PAINT

public static final Paint DEFAULT_ICON_BORDER_PAINT

### font

private Font font

### fontPaint

private Paint fontPaint

### iconBorderPaint

private Paint iconBorderPaint

### iconBorderStroke

private Stroke iconBorderStroke

### size

private Dimension size

## Constructor Details

### LegendProperties

public LegendProperties()

## Method Details

### setFont

public void setFont(Font legendFont)
Sets the Font used by the Legend.

Parameters:
  `legendFont` -

### getFont

public Font getFont()
Returns the Font used by the Legend.

Returns:
  Font

### setIconBorderPaint

public void setIconBorderPaint(Paint iconBorderPaint)
Sets the Icon border color used by the Legend. If NULL is passed, there will be no border.

Parameters:
  `iconBorderPaint` -

### getIconBorderPaint

public Paint getIconBorderPaint()
Returns the Icon border Color used by the Legend.

Returns:
  Paint

### setIconBorderStroke

public void setIconBorderStroke(Stroke stroke)
Sets the icon border Stroke. If NULL is passed, there will be no border.

Parameters:
  `stroke` -

### getIconBorderStroke

public Stroke getIconBorderStroke()
Returns the icon border Stroke

Returns:
  Stroke

### setFontPaint

public void setFontPaint(Paint fontPaint)
Sets the Font color used by the Legend.

Parameters:
  `fontPaint` -

### getFontPaint

public Paint getFontPaint()
Returns the Font Paint used by the Legend.

Returns:
  Paint

### toHTML

public void toHTML(HTMLGenerator htmlGenerator)
Enables the testing routines to display the contents of this Object.

Specified by:
  `toHTML` in interface `HTMLTestable`
Overrides:
  `toHTML` in class `LegendAreaProperties`
Parameters:
  `htmlGenerator` -

### getSize

public Dimension getSize()
Getter for property size.

Returns:
  Value of property size.

### setSize

public void setSize(Dimension size)
Setter for property size.

Parameters:
  `size` - New value of property size.